Bug 203371 - [iOS] fast/forms/contenteditable-font-optical-size.html landed flaky
Summary: [iOS] fast/forms/contenteditable-font-optical-size.html landed flaky
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Myles C. Maxfield
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-24 10:42 PDT by Russell Epstein
Modified: 2020-01-14 13:23 PST (History)
4 users (show)

See Also:


Attachments
Patch (3.35 KB, patch)
2020-01-14 13:10 PST, Myles C. Maxfield
wenson_hsieh: review+
Details | Formatted Diff | Diff
Patch for committing (4.36 KB, patch)
2020-01-14 13:15 PST, Myles C. Maxfield
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Russell Epstein 2019-10-24 10:42:31 PDT
The following layout test is failing on iOS:

fast/forms/contenteditable-font-optical-size.html

Steps to Reproduce:

run-webkit-tests --ios-simulator --no-retry --exit-after-n-failures 1 --iter 100 -g fast/forms/contenteditable-font-optical-size.html

Test History:

https://results.webkit.org/?suite=layout-tests&test=fast%2Fforms%2Fcontenteditable-font-optical-size.html&platform=ios

Diff:

--- /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/fast/forms/contenteditable-font-optical-size-expected.txt
+++ /Volumes/Data/slave/ios-simulator-13-release-tests-wk2/build/layout-test-results/fast/forms/contenteditable-font-optical-size-actual.txt
@@ -6,4 +6,4 @@
 PASS successfullyParsed is true
 
 TEST COMPLETE
-Lorem ipsumabcde
+Lorem ipsumab
Comment 1 Radar WebKit Bug Importer 2019-10-24 12:40:00 PDT
<rdar://problem/56590026>
Comment 2 Alexey Proskuryakov 2019-10-24 15:34:19 PDT
This test fails most of the time.
Comment 3 Russell Epstein 2019-10-29 11:42:54 PDT
Marked test as flaky in https://trac.webkit.org/changeset/251716/webkit
Comment 4 Myles C. Maxfield 2020-01-14 13:10:30 PST
Created attachment 387692 [details]
Patch
Comment 5 Myles C. Maxfield 2020-01-14 13:15:56 PST
Created attachment 387693 [details]
Patch for committing
Comment 6 Myles C. Maxfield 2020-01-14 13:23:26 PST
Committed r254530: <https://trac.webkit.org/changeset/254530>